"""create table for contact_forms
Revision ID: 5e7fa046f1ea
Revises: 0001
Create Date: 2023-05-23 10:31:18.938612
"""
from alembic import op
import sqlalchemy as sa
import uuid

# revision identifiers, used by Alembic.
revision = '5e7fa046f1ea'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'contact_forms',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('email', sa.String(), nullable=False),
        sa.Column('message', sa.Text(), nullable=False),
        sa.Column('created_at', sa.DateTime(timezone=True), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(timezone=True), server_default=sa.func.now(), onupdate=sa.func.now())
    )

def downgrade():
    op.drop_table('contact_forms')